%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Before using the script import the data for the mat file cnx2010.mat
% 
% This script reads all the data into a matrix and runs regression
% anlysis and generates a price curve. 
% This is done dynamically over 100 weeks
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
prediction = zeros(56,1);
data  = ones(156,8);
data(:,2) = dishtv_data(1:156);
data(:,3) = htmedia_data(1:156);
data(:,4) = navneetpub_data(1:156);
data(:,5) = relmedia_data(1:156);
data(:,6) = suntv_data(1:156);
data(:,7) = tv18_data(1:156);
data(:,8) = zeel_data(1:156);
for i = 1:56
    b = regress(jagran_data(1:100+i-1),data(1:100+i-1,:));
    prediction(i)=data(100+i,:)*b;
    %data(100+i)
end
compare = zeros(56,2);
compare(:,1) = jagran_data(101:156);
compare(:,2) = prediction;
plot(compare);
legend('Actual','Prediction');
